Show / Hide Table of Contents

# Struct Balloon

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct Balloon

### Fields

| Improve this Doc View Source

#### DefaultBalloonId

##### Declaration

    public ushort DefaultBalloonId

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### NowPlayingBalloonId

##### Declaration

    public ushort NowPlayingBalloonId

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### PlayTimer

##### Declaration

    public float PlayTimer

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### State

##### Declaration

    public BalloonState State

##### Field Value

Type | Description
--- | ---
BalloonState |

| Improve this Doc View Source

#### Text

##### Declaration

    public Utf8String Text

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### Type

##### Declaration

    public BalloonType Type

##### Field Value

Type | Description
--- | ---
BalloonType |

| Improve this Doc View Source

#### UnkBool

##### Declaration

    public byte UnkBool

##### Field Value

Type | Description
--- | ---
System.Byte |